USN-6052-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-6052-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6052-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6052-1
Related
  • CVE-2023-1829
Published
2023-05-01T12:19:43.683232Z
Modified
2023-05-01T12:19:43.683232Z
Summary
linux-ibm-5.4, linux-snapdragon vulnerability
Details

It was discovered that the Traffic-Control Index (TCINDEX) implementation in the Linux kernel did not properly perform filter deactivation in some situations. A local attacker could possibly use this to gain elevated privileges. Please note that with the fix for this CVE, kernel support for the TCINDEX classifier has been removed.

References

Affected packages

Ubuntu:18.04:LTS / linux-snapdragon

Package

Name
linux-snapdragon

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1149.159

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-snapdragon": "4.15.0.1149.148",
            "linux-image-4.15.0-1149-snapdragon": "4.15.0-1149.159",
            "linux-snapdragon-headers-4.15.0-1149": "4.15.0-1149.159",
            "linux-headers-snapdragon": "4.15.0.1149.148",
            "linux-tools-snapdragon": "4.15.0.1149.148",
            "linux-headers-4.15.0-1149-snapdragon": "4.15.0-1149.159",
            "linux-tools-4.15.0-1149-snapdragon": "4.15.0-1149.159",
            "linux-modules-4.15.0-1149-snapdragon": "4.15.0-1149.159",
            "linux-snapdragon-tools-4.15.0-1149": "4.15.0-1149.159",
            "linux-snapdragon": "4.15.0.1149.148",
            "linux-buildinfo-4.15.0-1149-snapdragon": "4.15.0-1149.159"
        }
    ]
}

Ubuntu:18.04:LTS / linux-ibm-5.4

Package

Name
linux-ibm-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1048.53~18.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-tools-ibm-edge": "5.4.0.1048.59",
            "linux-modules-extra-ibm": "5.4.0.1048.59",
            "linux-headers-ibm-edge": "5.4.0.1048.59",
            "linux-image-unsigned-5.4.0-1048-ibm": "5.4.0-1048.53~18.04.1",
            "linux-modules-5.4.0-1048-ibm": "5.4.0-1048.53~18.04.1",
            "linux-tools-5.4.0-1048-ibm": "5.4.0-1048.53~18.04.1",
            "linux-image-5.4.0-1048-ibm": "5.4.0-1048.53~18.04.1",
            "linux-ibm-5.4-tools-common": "5.4.0-1048.53~18.04.1",
            "linux-ibm-edge": "5.4.0.1048.59",
            "linux-tools-ibm": "5.4.0.1048.59",
            "linux-modules-extra-5.4.0-1048-ibm": "5.4.0-1048.53~18.04.1",
            "linux-headers-5.4.0-1048-ibm": "5.4.0-1048.53~18.04.1",
            "linux-headers-ibm": "5.4.0.1048.59",
            "linux-ibm": "5.4.0.1048.59",
            "linux-ibm-5.4-tools-5.4.0-1048": "5.4.0-1048.53~18.04.1",
            "linux-ibm-5.4-cloud-tools-common": "5.4.0-1048.53~18.04.1",
            "linux-ibm-5.4-headers-5.4.0-1048": "5.4.0-1048.53~18.04.1",
            "linux-image-ibm-edge": "5.4.0.1048.59",
            "linux-modules-extra-ibm-edge": "5.4.0.1048.59",
            "linux-image-ibm": "5.4.0.1048.59",
            "linux-buildinfo-5.4.0-1048-ibm": "5.4.0-1048.53~18.04.1",
            "linux-ibm-5.4-source-5.4.0": "5.4.0-1048.53~18.04.1"
        }
    ]
}